# Config Change Track

## Introduction

The Config Change Track module allows you to query if any config changes have
been made since the last export, with an optional cool-off period to allow a
batch of config changes to be finished before an export is made.

It can be used to support automatic export of configuration.

## Installation

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## Configuration

Configure the cool-off period at `/admin/config/system/config-change-track`.

## Usage

Note that it doesn't track config export time automatically, that should be set
explicitly when a successful export has been made (and processed).

```shell
drush config-change-track:needs-export # Outputs either '0' or '1'
drush config-change-track:set-last-export --time 12345 # Unix timestamp
```

## Similar modules

[Config Auto Export] is a more sophisticated module that exports only changed
configuration and can integrate with a remote service to inform them about the
changes. Config Change Track simply sets a flag when config has been changed
(observing the cool-off period) and resets the flag when told to, leaving the
details of exporting and merging to you.

[Config Auto Export]: https://www.drupal.org/project/config_auto_export
