<?php

declare(strict_types=1);

namespace Drupal\config_change_track\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Config Change Track settings for this site.
 */
final class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'config_change_track_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames(): array {
    return ['config_change_track.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state): array {
    $form['export_delay'] = [
      '#type' => 'number',
      '#min' => 0,
      '#title' => $this->t("Minimum delay"),
      '#description' => $this->t("The minimum time to wait after the last config change before considering it ready for export."),
      '#config_target' => 'config_change_track.settings:export_delay',
    ];
    return parent::buildForm($form, $form_state);
  }

}
